Ameba::AST::ScopeCallsWithSelfReceiverVisitor - ameba 1.7.0

# class Ameba::AST::ScopeCallsWithSelfReceiverVisitor

- Ameba::AST::ScopeCallsWithSelfReceiverVisitor
- Crystal::Visitor
- Reference
- Object

##
Defined in:

ameba/ast/visitors/scope_calls_with_self_receiver_visitor.cr

##
Constructors

- .new(rule, source)

##
Instance Method Summary

- #end_visit(node : Crystal::Assign | Crystal::OpAssign)
- #end_visit(node : Crystal::MultiAssign)
- #end_visit(node : Crystal::UninitializedVar)
- #end_visit(node : Crystal::TypeDeclaration)
- #end_visit(node : Crystal::ASTNode)
- #scope_call_queue : Hash(Ameba::AST::Scope, Array(Crystal::Call))
- #visit(node : Crystal::Def)
- #visit(node : Crystal::Block | Crystal::ProcLiteral)
- #visit(node : Crystal::ClassDef | Crystal::ModuleDef)
- #visit(node : Crystal::Assign | Crystal::OpAssign | Crystal::MultiAssign | Crystal::UninitializedVar)
- #visit(node : Crystal::TypeDeclaration)
- #visit(node : Crystal::Arg)
- #visit(node : Crystal::InstanceVar)
- #visit(node : Crystal::Var)
- #visit(node : Crystal::Call)
- #visit(node : Crystal::ASTNode)

  A main visit method that accepts `Crystal::ASTNode`.

##
Constructor Detail

def self.new(rule, source) #

##
Instance Method Detail

def end_visit(node : Crystal::Assign | Crystal::OpAssign) #
def end_visit(node : Crystal::MultiAssign) #
def end_visit(node : Crystal::UninitializedVar) #
def end_visit(node : Crystal::TypeDeclaration) #
def end_visit(node : Crystal::ASTNode) #
def scope_call_queue : Hash(Ameba::AST::Scope, Array(Crystal::Call)) #
def visit(node : Crystal::Def) #
def visit(node : Crystal::Block | Crystal::ProcLiteral) #
def visit(node : Crystal::ClassDef | Crystal::ModuleDef) #
def visit(node : Crystal::Assign | Crystal::OpAssign | Crystal::MultiAssign | Crystal::UninitializedVar) #
def visit(node : Crystal::TypeDeclaration) #
def visit(node : Crystal::Arg) #
def visit(node : Crystal::InstanceVar) #
def visit(node : Crystal::Var) #
def visit(node : Crystal::Call) #
def visit(node : Crystal::ASTNode) #

A main visit method that accepts `Crystal::ASTNode`. Returns `true`, meaning all child nodes will be traversed.